%define name aee
%define version 2.2.0
%define release 2mdk

Summary: An easy to use text editor.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: Artistic
Group: Editors
URL: http://www.users.uswest.net/~hmahon
Source: %{name}-%{version}.tar.bz2
Patch: aee-2.2.0-dir_location.patch.bz2
Packager: Ryan Weaver <ryanw@infohwy.com>
BuildRoot: /var/tmp/%{name}-buildroot

%description
An easy to use text editor. Intended to be usable with little or no
instruction. Provides both a terminal (curses based) interface and native
X-Windows interface (in which case the executable is called xae). Features
include pop-up menus, journalling (to recover from system crash or loss of
connection), cut-and-paste, multiple buffers (associated with files or not),
and much more.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch -p1 -b .orig_locations

%build
make both

%install
if [ -e $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/usr/{bin,lib/aee,man/man1}
install -m 755 aee $RPM_BUILD_ROOT/usr/bin/
install -m 755 xae $RPM_BUILD_ROOT/usr/bin/
install -m 644 aee.1 $RPM_BUILD_ROOT/usr/man/man1/
install -m 644 help.ae $RPM_BUILD_ROOT/usr/lib/aee
(
	cd $RPM_BUILD_ROOT/usr/bin
	ln -s aee rae
	ln -s xae rxae
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Artistic README.aee aee.1.ps aee.i18n.guide keypad
/usr/bin/*
/usr/lib/aee/help.ae
/usr/man/man1/*

%changelog
* Thu Apr 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.0-2mdk
- fix group

* Tue Jan 25 2000 Lenny Cartier <lenny@mandrakesoft.com>
- build for mandrake

* Mon Jan 11 1999 Ryan Weaver <ryanw@infohwy.com>
  [aee-2.2.0-1]
- First RPM.
- Patch to move help files, etc. from /usr/local/lib to /usr/lib/aee

